const webpack = require('webpack')
const { defineConfig } = require('@vue/cli-service')

module.exports = defineConfig({
  // transpileDependencies: true,
  configureWebpack: {
    module: {
      rules: [
      ],
    },
    plugins: [
      new webpack.ProvidePlugin({
        utils: ['/src/utils.js', 'default'],
        store: ['/src/store/index.js', 'default'],
        api: ['/src/api.js', 'default'],
        config: '/src/config.js',
        // mapGetters: ['vuex', 'mapGetters'],
      }),
    ],
  },
})
